<?php

namespace Drupal\groupblock\Routing;


use Drupal\block_content\Entity\BlockContentType;
use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Subscriber for Group Node routes.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    if ($route = $collection->get('entity.group_content.create_page')) {
      $copy = clone $route;
      $copy->setPath('group/{group}/block/create');
      $copy->setDefault('base_plugin_id', 'group_block');
      $collection->add('entity.group_content.group_block_create_page', $copy);
    }

    if ($route = $collection->get('entity.group_content.add_page')) {
      $copy = clone $route;
      $copy->setPath('group/{group}/block/add');
      $copy->setDefault('base_plugin_id', 'group_block');
      $collection->add('entity.group_content.group_block_add_page', $copy);
    }
  }

}
